Supported Browsers

To use the Backlot UI, you must use a supported browser.

The Backlot UI supports the following browsers:

Note: Internet Explorer is no longer a supported browser for the Backlot UI because Google has deprecated support of the Chrome Frame plugin.